# README FILE 

## Disclaimer

All file in the Evolis SDK are used as "is" and is not warranted. Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* This examples is used for printers working with the first generation of the Evolis Premium Suite. For more information about the specific printing sessions, please refer to the concrete example of each session.


* 00-getStatus.json : JSON requests used to see the status of the printer.
* 01-enable-TCP.json : JSON request to activate the TCP communication.
* 10-insert.json --> 19-writeTracks.json : JSON requests for the magnetic encoding session.
* 20-begin.json --> 30-end.json : JSON requests for the double sided color printing session.

* To test requests for Evolis Premium Suite run :
    - full_session_PIPE.bat 
        or 
    - full_session_TCP.bat  
    
* Resource folder : contains the base64 folder and a document that allows the user to create custom designs.
    * base64 folder : contains the design used for this requests set
        * Base64.exe is a small utility to encode graphics in base64 to be understandable by the API (to use only for that purpose).

* Results folder is the folder that records the request results.

** Reminder: The job ID can be customized, the current session being "MYTESTJOB" which can be modified according to the user's preference.

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.