@echo off

del /q results\TCP\Result*.json > NUL 2>&1 


echo -----------------------------------------------------------------------------------------------------------------
echo Enabling the TCP communication before sending any commands to the server:
echo 

EspfRequestTool.exe -i "01-enable-TCP.json" -s 127.0.0.1:18000 -o "results/TCP/ResultEnableTCP.json"
echo "01-enable-TCP"
more results\TCP\ResultEnableTCP.json

echo -----------------------------------------------------------------------------------------------------------------
echo Getting the printer status:
echo 

EspfRequestTool.exe -i "00-getStatus.json" -s 127.0.0.1:18000 -o "results/TCP/ResultGetStatus.json"
echo "00-getStatus"
more results\TCP\ResultGetStatus.json

echo -----------------------------------------------------------------------------------------------------------------
echo Inserting a card in the printer:
echo 

EspfRequestTool.exe -i "10-insert.json" -s 127.0.0.1:18000 -o "results/TCP/ResultInsert.json"
echo "10-insert"
more results\TCP\ResultInsert.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the coersivity to Hi-Co:
echo 

EspfRequestTool.exe -i "11-setCoers.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetCoers.json"
echo "11-setCoers"
more results\TCP\ResultSetCoers.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the first track of the magnetic card:
echo 

EspfRequestTool.exe -i "12-setTrack1.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetTrack1.json"
echo "12-setTrack1"
more results\TCP\ResultSetTrack1.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the second track of the magnetic card:
echo 

EspfRequestTool.exe -i "13-setTrack2.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetTrack2.json"
echo "13-setTrack2"
more results\TCP\ResultSetTrack2.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the third track of the magnetic card:
echo 

EspfRequestTool.exe -i "14-setTrack3.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetTrack3.json"
echo "14-setTrack3"
more results\TCP\ResultSetTrack3.json

echo -----------------------------------------------------------------------------------------------------------------
echo Starting the magnetic encoding sequence:
echo 

EspfRequestTool.exe -i "15-startSequence.json" -s 127.0.0.1:18000 -o "results/TCP/ResultStartSequence.json"
echo "15-startSequence"
more results\TCP\ResultStartSequence.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the first track of the magnetic card:
echo 

EspfRequestTool.exe -i "16-magBuffer1.json" -s 127.0.0.1:18000 -o "results/TCP/ResultMagBuffer1.json"
echo "16-magBuffer1"
more results\TCP\ResultMagBuffer1.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the second track of the magnetic card:
echo 

EspfRequestTool.exe -i "17-magBuffer2.json" -s 127.0.0.1:18000 -o "results/TCP/ResultMagBuffer2.json"
echo "17-magBuffer2"
more results\TCP\ResultMagBuffer2.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the third track of the magnetic card:
echo 

EspfRequestTool.exe -i "18-magBuffer3.json" -s 127.0.0.1:18000 -o "results/TCP/ResultMagBuffer3.json"
echo "18-magBuffer3"
more results\TCP\ResultMagBuffer3.json

echo -----------------------------------------------------------------------------------------------------------------
echo Writing the data on the tracks of the magnetic card:
echo 

EspfRequestTool.exe -i "19-writeTracks.json" -s 127.0.0.1:18000 -o "results/TCP/ResultWriteTracks.json"
echo "19-writeTracks"
more results\TCP\ResultWriteTracks.json

echo -----------------------------------------------------------------------------------------------------------------
echo Starting the printing sequence:
echo 

EspfRequestTool.exe -i "20-begin.json" -s 127.0.0.1:18000 -o "results/TCP/ResultBegin.json"
echo "20-begin"
more results\TCP\ResultBegin.json

echo -----------------------------------------------------------------------------------------------------------------
echo Getting the printing session job ID:
echo 

EspfRequestTool.exe -i "21-getJobId.json" -s 127.0.0.1:18000 -o "results/TCP/ResultGetJobId.json"
echo "21-getJobId"
more results\TCP\ResultGetJobId.json

echo -----------------------------------------------------------------------------------------------------------------
echo Applying the settings needed for the the printing session:
echo 

EspfRequestTool.exe -i "22-setSettings.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetSettings.json"
echo "22-setSettings"
more results\TCP\ResultSetSettings.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front colored side bitmap of the card:
echo 

EspfRequestTool.exe -i "23-setFrontBitmapColor.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetFrontBitmapColor.json"
echo "23-setFrontBitmapColor"
more results\TCP\ResultSetFrontBitmapColor.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front black side bitmap of the card:
echo 

EspfRequestTool.exe -i "24-setFrontBitmapBlack.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetFrontBitmapBlack.json"
echo "24-setFrontBitmapBlack"
more results\TCP\ResultSetFrontBitmapBlack.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front varnish side bitmap of the card:
echo 

EspfRequestTool.exe -i "25-setFrontBitmapVarnish.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetFrontBitmapVarnish.json"
echo "25-setFrontBitmapVarnish"
more results\TCP\ResultSetFrontBitmapVarnish.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back colored side bitmap of the card:
echo 

EspfRequestTool.exe -i "26-setBackBitmapColor.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetBackBitmapColor.json"
echo "26-setBackBitmapColor"
more results\TCP\ResultSetBackBitmapColor.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back black side bitmap of the card:
echo 

EspfRequestTool.exe -i "27-setBackBitmapBlack.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetBackBitmapBlack.json"
echo "27-setBackBitmapBlack"
more results\TCP\ResultSetBackBitmapBlack.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back varnish side bitmap of the card:
echo 

EspfRequestTool.exe -i "28-setBackBitmapVarnish.json" -s 127.0.0.1:18000 -o "results/TCP/ResultSetBackBitmapVarnish.json"
echo "28-setBackBitmapVarnish"
more results\TCP\ResultSetBackBitmapVarnish.json

echo -----------------------------------------------------------------------------------------------------------------
echo Printing of the card:
echo 

EspfRequestTool.exe -i "29-print.json" -s 127.0.0.1:18000 -o "results/TCP/ResultPrint.json"
echo "29-print"
more results\TCP\ResultPrint.json

echo -----------------------------------------------------------------------------------------------------------------
echo Ending the printing session of the card:
echo 

EspfRequestTool.exe -i "30-end.json" -s 127.0.0.1:18000 -o "results/TCP/ResultEnd.json"
echo "30-end"
more results\TCP\ResultEnd.json

pause