@echo off

ECHO The network (TCP) Server Activation must be done at each ESPF service startup 
echo (restart of the computer or restart of the Evolis Services Provider Service)
ECHO For a persistent activation of the TCP communication layer, please modify the Evolis Services Provider configuration file EspfSVC.properties
echo.
echo.
echo -------------------------------------------------------------------------------------
echo Activation of the TCP communication layer until the ESPF service or computer restarts
echo -------------------------------------------------------------------------------------
 
DEL /q ServerActivation\ResultEnableESPF2.json > NUL 2>&1
EspfRequestTool.exe -i "20-enable-TCP.json" -p \\.\pipe\Espf2Server00 -o "results/ResultEnableESPF2.json"
IF ERRORLEVEL 1 (
	ECHO ERROR - Client failed to send request 
) ELSE (
	ECHO.
	MORE results\ResultEnableESPF2.json
)

echo.

pause
