# README FILE 

## Disclaimer

All file in the Evolis SDk are used as "is" and is not warranted. Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-enable.json : contains json request to enable the TCP communication layer of an Evolis Premium Suite printer.
* 10-disable.json : contains json request to disable the TCP communication layer of an Evolis Premium Suite printer.

* 20-enable.json : contains json request to enable the TCP communication layer of an Evolis Premium Suite 2 printer.
* 20-disable.json : contains json request to disable the TCP communication layer of an Evolis Premium Suite 2 printer.


* To test requests for Evolis Premium Suite run :
    - Enable_TCP.bat : 
        or 
    - Disable_TCP.bat

* To test requests for Evolis Premium Suite 2 run :
    - Enable_TCP_ESPF2.bat
        or 
    - Disable_TCP_ESPF2.bat
    

* The manual enabling / disabling protocol of the ESPF and ESPF2 is mentioned in the API_How_to_use_json_requests.pdf guide. 

* Results folder is the folder that records the request result using the batch file.

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.

