# README FILE 

## Disclaimer

All file in the Evolis SDk are used as "is" and is not warranted. 
Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-insert.json : contains a json request used to insert a card in an Evolis Premium Suite printer
* 10-eject.json : contains a json request used to eject a card in an Evolis Premium Suite printer.

* 20-insert.json : contains a json request used to insert a card in an Evolis Premium Suite 2 printer.
* 20-eject.json : contains a json request used to eject a card in an Evolis Premium Suite 2 printer.

** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 

* To test requests for Evolis Premium Suite run :
     - insert_eject_PIPE.bat    
    or
     - insert_eject_TCP.bat

* To test requests for Evolis Premium Suite 2 run :
     - insert_eject_PIPE_ESP2.bat    
    or
     - insert_eject_TCP_ESP2.bat


* Results folder is the folder that records the request results.

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.