@echo off

echo -----------------------------------------------------------------------------------------------------------------
echo Inserting card in the printer :
echo -----------------------------------------------------------------------------------------------------------------

del /q results\PIPE\ResultInsert.json > NUL 2>&1

EspfRequestTool.exe -i "10-insert.json" -p \\.\pipe\EspfServer00 -o "results\PIPE\ResultInsert.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\PIPE\ResultInsert.json
)

echo.

echo -----------------------------------------------------------------------------------------------------------------
echo Ejecting card from the printer :
echo -----------------------------------------------------------------------------------------------------------------

del /q results\PIPE\ResultEject.json > NUL 2>&1

EspfRequestTool.exe -i "10-eject.json" -p \\.\pipe\EspfServer00 -o "results\PIPE\ResultEject.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\PIPE\ResultEject.json
)

echo.

pause