@echo off


echo -----------------------------------------------------------------------------------------------------------------
echo Send a Rfv command to check printer's firmware version :
echo -----------------------------------------------------------------------------------------------------------------

del /q results\ResultRfv.json > NUL 2>&1
EspfRequestTool.exe -i "20-read_firmware.json" -s 127.0.0.1:18200 -o "results\TCP\resultRfv.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\TCP\resultRfv.json
)

echo.

echo -----------------------------------------------------------------------------------------------------------------
echo Send a Mc;+;1000 command to make a motor to move : 
echo -----------------------------------------------------------------------------------------------------------------

EspfRequestTool.exe -i "20-motor.json" -s 127.0.0.1:18200 -o "results\TCP\resultMotor.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\TCP\resultMotor.json
)

echo.

pause