# README FILE 

## Disclaimer

All file in the Evolis SDK are used as "is" and is not warranted. Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-begin.json : contains JSON requests that initiates a new print session. 
* 11-getJobId.json : contains JSON requests that display the current job Id of the printer.
* 12-setSettings.json : contains JSON request used to specify the type of rewrite settings used. (The ribbon and card type must be set according to the consumables used [Black/Blue])
* 13-setBitmap.json : contains JSON request used to specify the image. 
    ** Image can be changed using the API_mode_how_to_create_custom_designs Guide.
* 14-print.json : contains JSON request used to send the print command.
* 15-end.json : contains JSON requests used to end the printing process.

** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 

* To test requests for Evolis Premium Suite 2 run :
    - Rewrite_one_side_PIPE_ESPF2.bat
        or 
    - Rewrite_one_side_TCP_ESPF2.bat

* Command is used only on printers that have the Rewrite function incorporated and enabled and are using a Blue Rewrite card. For the Black Rewrite cards, please check the settings in the following JSON request: 12-setSettings.json

* Results folder is the folder that records the request results.

** Reminder: The job ID can be customized, the current session being "MYTESTJOB" which can be modified according to the user's preference.

* Resource folder : contains the base64 folder and a document that allows the user to create custom designs.
    * base64 folder : contains the design used for this requests set
    * Base64.exe is a small utility to encode graphics in base64 to be understandable by the API (to use only for that purpose).

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.