﻿// -----------------------------------------------------------------------
// <copyright file="GenericRequest.cs" company="Evolis Card Printer">
//     Copyright (c) Evolis Card Printer. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace GenericRequest
{
    using ClientRuntime;
    using System;
    using System.Windows.Forms;

    //
    // ------------------------------------------------------------------
    //
    public partial class GenericRequest : UserControl
    {
        //
        // --------------------------------------------------------------
        //
        public GenericRequest()
        {
            InitializeComponent();
        }

        //
        // --------------------------------------------------------------
        //
        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox2.Text != string.Empty)
            {
                textBox3.Text = EspfClientProcessor.SendRequest(BusinessHelper.CommProcType, BusinessHelper.IP, BusinessHelper.Port, textBox2.Text);
            }
        }

        //
        // --------------------------------------------------------------
        //
        private void GenericRequest_Paint(object sender, PaintEventArgs e)
        {
            UpdateColor();
        }

        //
        // --------------------------------------------------------------
        //
        private void UpdateColor()
        {
            this.ForeColor = BusinessHelper.FgColor;
            this.BackColor = BusinessHelper.BgColor;

            textBox2.ForeColor = BusinessHelper.FgColor;
            textBox2.BackColor = BusinessHelper.BgColor;
            textBox3.ForeColor = BusinessHelper.FgColor;
            textBox3.BackColor = BusinessHelper.BgColor;
        }
    }
}