﻿// -----------------------------------------------------------------------
// <copyright file="Parameters.cs" company="Evolis Card Printer">
//     Copyright (c) Evolis Card Printer. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace ParametersControl
{
    using System.Collections;


    /// <summary>
    /// class Parameters
    /// </summary>
    internal static class Parameters
    {
        static private IDictionary _dic = null;


        static public string Get(string key)
        {
            if (_dic == null)
            {
                _dic = DictionaryFactory.Load("parameters.xml", "Parameters");
            }

            return (string)_dic[key];
        }
    }
}
