//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.

#ifndef ESPFREQUESTTOOL_H
#define ESPFREQUESTTOOL_H

#include <stdlib.h>
#include <stdio.h>
#include "version.h"

/* RETURN CODES */

#define MAIN_OK             0
#define MAIN_ERR_OPT        1
#define MAIN_ERR_CRITICAL   2

/* SIZES */

#define STR_MAX_SZ	    1024
#define DEFAULT_BUFLEN  512
#define STR_DEFAULTANSWER_SZ 4096

/* ENUM */

typedef enum { UnknownRequestType, IpRequestType, PipeRequestType } RequestType;

/* -------------------------- */

void printUsage(char* exeName);

/* -------------------------- */

#endif /*ESPFREQUESTTOOL_H*/