//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.

program Project1;

uses Sockets;

procedure PError(const S : string);
begin
  writeln(S,SocketError);
  halt(100);
end;


Var
  SAddr    : TInetSockAddr;
  sockfd   : Longint;
  data     : String[255];
  answer   : String[255];
  ipdest   : AnsiString;
  port     : LongInt;
  Count    : Longint;

begin

  data     := '{"jsonrpc":"2.0","id":"1","method":"CMD.SendCommand","params":{"command":"Mc;+;1000", "device":"Evolis Primacy", "timeout":"5000"}}';
  port     := 18000;
  ipdest   := '127.0.0.1';

  sockfd := fpSocket(AF_INET,SOCK_STREAM,0);
  If sockfd = SOCKET_ERROR Then
   PError('Error : Socket : ');
  SAddr.sin_family:=AF_INET;
  SAddr.sin_port:=htons(port);

  SAddr.sin_addr:=StrToNetAddr(ipdest);
  if fpconnect (sockfd,@SAddr,SizeOf(SAddr)) = SOCKET_ERROR then
   PError('Error : Connect : ');
  fpsend(sockfd,@data[1],Length(data),0);
  Count := fprecv(sockfd,@answer,255,0);
  if Count <> SOCKET_ERROR Then
    Begin
    SetLength(data,Count);
    Writeln('Server sent: ',answer);
    End;
  CloseSocket(sockfd);
end.

