#include "demo.h"
#include "EvoSdk1Lib1.h"

#include <cstdio>
#include <iostream>

void demoCleaningCycle(Data* d)
{
    HANDLE comHandle;
    HANDLE printerHandle;
    char*  es;
    DWORD  ec;
    char   c;

    if (demoOpen(d->serverPipe, d->printerName, &comHandle, &printerHandle)) {
        printf("=== CLEANING CYCLE ===\n");
        printf(" ?? To run cleaning cycle you need to insert a cleaning card.\n");
        printf(" ?? Start cleaning (y/n) ? ");

        std::cin >> c;
        if (c == 'Y' || c == 'y') {
            printf(" >> Cleaning in progress");

            ec = EPSDK_SupportTools_RunCleaningCycle(printerHandle, &es);
            printf(" -> %s (%d) /%s\n", EPSDK_NO_ERROR == ec ? OK : KO, ec, es);
        }
        else {
            printf(" >> Skipped\n");
        }
        demoClose(comHandle, printerHandle);
    }
}
