## Abstract

This project shows how to produce graphic colors data from an image (JPEG, PNG or GIF standard formats), in a format that is understood by the Evolis printers. This project is linked to Project 001.
Keywords: Dbc ; bitmap ; jpeg ;

## Scope

To make it simple and easy to understand, the code provided in this SDK serves as an example to illustrate a given topic in the most schematically possible way.

Thus, this code should not be used as is, but customized to the requirement of the target application.

## Instruction

we assume that program bmp2prn.exe is available in the following directory:
%SDK_ROOT%\Comm_via_Iomem\001_Command_Db\001-001\src

(%SDK_ROOT% is the SDK installation directory))

The FreeImage.dll library and a photo.jpeg image are also available.

Call program bmp2prn.exe using the command line interface (cmd.exe) by specifying the image to be inserted, its position on the card, the convert option if the image requires a conversion into bitmap, and finally the file intended to receive the output data:

bmp2prn.exe -i photo.jpeg -x 600 -y 5 -o convert data.prn

Purpose of this project is to show how to simply design cards from graphics in different formats.

## Dependency
FreeImage.dll (version 3.12.0) is used to convert the different graphic formats. For more information , visit [FreeImage project website](https://freeimage.sourceforge.io/download.html)

