## Abstract

This project brings together all items required to create a link between the iomem.dll library and Java code, using the JNI framework.

**Keywords:** JNI ; Java

## Scope

To make it simple and easy to understand, the code provided in this SDK serves as an example to illustrate a given topic in the most schematically possible way.

Thus, this code should not be used as is, but customized to the requirement of the target application.

## Instruction

Open your Java development environment.
Create a new project and add IomemJNI.java as well as the iomemjava.dll library.
Edit the printer name in IomemJNI.java.
Execute project: the printer gives out an engine-like noise.

## Description
Follow these steps to adapt this example to your project:
Create a calling class of native functions (here IomemJNI).
Create a C++ header by calling the javah tool.
Implement and generate the native library (here, the goal for iomemjava.c is to load the iomem.dll)
Load the native library (depends on the Java development environment)
For more information, please refer to the official Java documentation.

## Dependency
Communication with the Evolis printers is done thanks to the iomem.dll library. 
For Ethernet communications / WIFI / networked, check that the iomem version is 4.9.37.0 or later.