@echo off

del /q results\PIPE\Result*.json > NUL 2>&1 


echo -----------------------------------------------------------------------------------------------------------------
echo Getting the printer status:
echo 

EspfRequestTool.exe -i "00-getStatus.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultGetStatus.json"
echo "00-getStatus"
more results\PIPE\ResultGetStatus.json

echo -----------------------------------------------------------------------------------------------------------------
echo Enabling the TCP communication:
echo 

EspfRequestTool.exe -i "01-enable-TCP.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultEnableTCP.json"
echo "01-enable-TCP"
more results\PIPE\ResultEnableTCP.json

echo -----------------------------------------------------------------------------------------------------------------
echo Inserting a card in the printer:
echo 

EspfRequestTool.exe -i "10-insert.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultInsert.json"
echo "10-insert"
more results\PIPE\ResultInsert.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the coersivity to Hi-Co:
echo 

EspfRequestTool.exe -i "11-setCoers.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetCoers.json"
echo "11-setCoers"
more results\PIPE\ResultSetCoers.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the first track of the magnetic card:
echo 

EspfRequestTool.exe -i "12-setTrack1.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetTrack1.json"
echo "12-setTrack1"
more results\PIPE\ResultSetTrack1.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the second track of the magnetic card:
echo 

EspfRequestTool.exe -i "13-setTrack2.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetTrack2.json"
echo "13-setTrack2"
more results\PIPE\ResultSetTrack2.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the third track of the magnetic card:
echo 

EspfRequestTool.exe -i "14-setTrack3.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetTrack3.json"
echo "14-setTrack3"
more results\PIPE\ResultSetTrack3.json

echo -----------------------------------------------------------------------------------------------------------------
echo Starting the magnetic encoding sequence:
echo 

EspfRequestTool.exe -i "15-startSequence.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultStartSequence.json"
echo "15-startSequence"
more results\PIPE\ResultStartSequence.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the first track of the magnetic card:
echo 

EspfRequestTool.exe -i "16-magBuffer1.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultMagBuffer1.json"
echo "16-magBuffer1"
more results\PIPE\ResultMagBuffer1.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the second track of the magnetic card:
echo 

EspfRequestTool.exe -i "17-magBuffer2.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultMagBuffer2.json"
echo "17-magBuffer2"
more results\PIPE\ResultMagBuffer2.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the buffer for the third track of the magnetic card:
echo 

EspfRequestTool.exe -i "18-magBuffer3.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultMagBuffer3.json"
echo "18-magBuffer3"
more results\PIPE\ResultMagBuffer3.json

echo -----------------------------------------------------------------------------------------------------------------
echo Writing the data on the tracks of the magnetic card:
echo 

EspfRequestTool.exe -i "19-writeTracks.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultWriteTracks.json"
echo "19-writeTracks"
more results\PIPE\ResultWriteTracks.json

echo -----------------------------------------------------------------------------------------------------------------
echo Starting the printing sequence:
echo 

EspfRequestTool.exe -i "20-begin.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultBegin.json"
echo "20-begin"
more results\PIPE\ResultBegin.json

echo -----------------------------------------------------------------------------------------------------------------
echo Getting the printing session job ID:
echo 

EspfRequestTool.exe -i "21-getJobId.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultGetJobId.json"
echo "21-getJobId"
more results\PIPE\ResultGetJobId.json

echo -----------------------------------------------------------------------------------------------------------------
echo Applying the settings needed for the the printing session:
echo 

EspfRequestTool.exe -i "22-setSettings.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetSettings.json"
echo "22-setSettings"
more results\PIPE\ResultSetSettings.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front colored side bitmap of the card:
echo 

EspfRequestTool.exe -i "23-setFrontBitmapColor.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetFrontBitmapColor.json"
echo "23-setFrontBitmapColor"
more results\PIPE\ResultSetFrontBitmapColor.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front black side bitmap of the card:
echo 

EspfRequestTool.exe -i "24-setFrontBitmapBlack.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetFrontBitmapBlack.json"
echo "24-setFrontBitmapBlack"
more results\PIPE\ResultSetFrontBitmapBlack.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the front varnish side bitmap of the card:
echo 

EspfRequestTool.exe -i "25-setFrontBitmapVarnish.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetFrontBitmapVarnish.json"
echo "25-setFrontBitmapVarnish"
more results\PIPE\ResultSetFrontBitmapVarnish.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back colored side bitmap of the card:
echo 

EspfRequestTool.exe -i "26-setBackBitmapColor.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetBackBitmapColor.json"
echo "26-setBackBitmapColor"
more results\PIPE\ResultSetBackBitmapColor.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back black side bitmap of the card:
echo 

EspfRequestTool.exe -i "27-setBackBitmapBlack.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetBackBitmapBlack.json"
echo "27-setBackBitmapBlack"
more results\PIPE\ResultSetBackBitmapBlack.json

echo -----------------------------------------------------------------------------------------------------------------
echo Setting the back varnish side bitmap of the card:
echo 

EspfRequestTool.exe -i "28-setBackBitmapVarnish.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultSetBackBitmapVarnish.json"
echo "28-setBackBitmapVarnish"
more results\PIPE\ResultSetBackBitmapVarnish.json

echo -----------------------------------------------------------------------------------------------------------------
echo Printing of the card:
echo 

EspfRequestTool.exe -i "29-print.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultPrint.json"
echo "29-print"
more results\PIPE\ResultPrint.json

echo -----------------------------------------------------------------------------------------------------------------
echo Ending the printing session of the card:
echo 

EspfRequestTool.exe -i "30-end.json" -p \\.\pipe\EspfServer00 -o "results/PIPE/ResultEnd.json"
echo "30-end"
more results\PIPE\ResultEnd.json

pause