# README FILE 

## Disclaimer

All file in the Evolis SDk are used as "is" and is not warranted. Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-getStatus.json : contains json request to get an Evolis Premium Suite printer current status.
    ** Command is based on the name of the printer (i.e Evolis Primacy), in order to change the name based on your current printer, refer to :"API_How_to_use_JSON_requests" guide.

* 20-getStatus.json : contains json request to get an Evolis Premium Suite 2 printer current status.

* Communication can be changed from PIPE to TCP by using the "API_How_to_use_JSON_requests" guide.
    ** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 
 


* To test requests for Evolis Premium Suite run :
    - getStatus_PIPE.bat : 
        or 
    - getStatus_TCP.bat

* To test requests for Evolis Premium Suite 2 run :
    - getStatus_PIPE_ESPF2.bat
        or 
    - getStatus_TCP_ESPF2.bat
    
* Results folder is the folder that records the request results.

