@echo off

echo ----------------------------------------------------------------------------------------------------------------------
echo "HELLO SERVER !" string will be sent trying both PIPE and TCP MODE thanks to Echo service (Evolis Services Provider 2).
echo ..
echo PIPE request will be sent on default \\.\pipe\Espf2Server00 namespace
echo..
echo TCP request will be sent on default socket 127.0.0.1:18200 (enable TCP first to test this feature by modifying evoservices.properties file) 
echo ----------------------------------------------------------------------------------------------------------------------

del EspfEcho\Result*.json > NUL 2>&1

EspfRequestTool.exe -i "10-echo.json" -p \\.\pipe\Espf2Server00 -o "results\ResultEcho.json" 
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	echo.
	echo Echo by Pipe Communication
	more results\ResultEcho.json
)
echo.

EspfRequestTool.exe -i "10-echo.json" -s 127.0.0.1:18200 -o "results\ResultEchoESP2.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	echo.
	echo Echo by IP Communication
	more results\ResultEchoESP2.json
)

echo.

pause