# README FILE 

## Disclaimer

All file in the Evolis SDk are used as "is" and is not warranted. 
Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-motor.json : contains a json request used to perform a single escape command "Mc;+;1000" thanks to cmd.SendCommand service for printers available in Evolis Premium Suite.
* 10-read_firmware. json : contains json request used to read the firmware version of the printer for printers available in Evolis Premium Suite.

* 20-motor.json contains a json request used to perform a single escape command "Mc;+;1000" thanks to cmd.SendCommand service for printers available in Evolis Premium Suite 2.
* 20-read_firmware. json : contains json request used to read the firmware version of the printer for printers available in Evolis Premium Suite 2.

** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 

* To test requests for Evolis Premium Suite run :
     - Rfv_motor_PIPE.bat    
    or
     - Rfv_motor_TCP.bat

* To test requests for Evolis Premium Suite 2 run :
     - Rfv_motor_PIPE_ESP2.bat    
    or
     - Rfv_motor_TCP_ESP2.bat


* Results folder is the folder that records the request results.

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.