@echo off

echo -----------------------------------------------------------------------------------------------------------------
echo Send a Rfv command to check printer's firmware version :
echo -----------------------------------------------------------------------------------------------------------------

del /q results\PIPE\resultRfv.json > NUL 2>&1
del /q results\PIPE\resultMotor.json > NUL 2>&1

EspfRequestTool.exe -i "20-read_firmware.json" -p \\.\pipe\Espf2Server00 -o "results\PIPE\resultRfv.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\PIPE\resultRfv.json
)

echo.


echo -----------------------------------------------------------------------------------------------------------------
echo Send a Mc;+;1000 command to make a motor to move :
echo -----------------------------------------------------------------------------------------------------------------


EspfRequestTool.exe -i "20-motor.json" -p \\.\pipe\Espf2Server00 -o "results\PIPE\resultMotor.json"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\PIPE\resultMotor.json
)

echo.

pause