@echo off


echo -----------------------------------------------------------------------------------------------------------------
echo Send a Rfv command to check printer's firmware version :
echo -----------------------------------------------------------------------------------------------------------------

del /q results\ResultRfv.json > NUL 2>&1
EspfRequestTool.exe -i "10-read_firmware.json" -s 127.0.0.1:18000 -o "results\TCP\resultRfv.txt"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\TCP\resultRfv.txt
)

echo.

echo -----------------------------------------------------------------------------------------------------------------
echo Send a Mc;+;1000 command to make a motor to move : 
echo -----------------------------------------------------------------------------------------------------------------

del /q results\ResultMotor.json > NUL 2>&1
EspfRequestTool.exe -i "10-motor.json" -s 127.0.0.1:18000 -o "results\TCP\resultMotor.txt"
IF ERRORLEVEL 1 (
	echo ERROR - Client failed to send request 
) ELSE (
	more results\TCP\resultMotor.txt
)

echo.

pause