# README FILE 

## Disclaimer

All file in the Evolis SDK are used as "is" and is not warranted. 
Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

Commands used for Evolis Premium Suite:

* 10-setCoers.json: contains a json request used to set the coercivity level, High or Low.
* 11-setTrack1.json - 13-setTrack3.json : contains the json requests used to set the 3 magnetic tracks of the card.
* 14-startSequence.json : contains a json request used to indicate the beginning of a command sequence.
* 15-magBuffer1.json - 17-magBuffer3.json : contains the json requests used to set the magnetic buffer of the 3 tracks.
* 18-writeTracks.json : contains a json request used to write the data downloaded from the Dm command on the magnetic tracks.
* 19-readTracks.json : contains a json request used to read the data on the magnetic tracks.

Commands used for Evolis Premium Suite 2:

* 20-setCoers.json: contains a json request used to set the coercivity level, High or Low.
* 21-setTrack1.json - 23-setTrack3.json : contains the json requests used to set the 3 magnetic tracks of the card.
* 24-startSequence.json : contains a json request used to indicate the beginning of a command sequence.
* 25-magBuffer1.json - 27-magBuffer3.json : contains the json requests used to set the magnetic buffer of the 3 tracks.
* 28-writeTracks.json : contains a json request used to write the data downloaded from the Dm command on the magnetic tracks.
* 29-readTracks.json : contains a json request used to read the data on the magnetic tracks.

** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 

* To test requests for Evolis Premium Suite run :
     - Magnetic_encoding_PIPE.bat    
    or
     - Magnetic_encoding_TCP.bat

* To test requests for Evolis Premium Suite 2 run :
     - Magnetic_encoding_PIPE_ESP2.bat    
    or
     - Magnetic_encoding_TCP_ESP2.bat

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API
* Results folder is the folder that records the request result using the batch file.
