# README FILE 

## Disclaimer

All file in the Evolis SDK are used as "is" and is not warranted. Evolis cannot be held responsible of a misuse of provided code samples, utility or software. 

## Content 

* 10-begin.json : contains JSON requests that initiates a new scan session. 
* 11-acquire.json : contains JSON requests that acquires the image data in a base64 format.
* 12-end.json : contains JSON requests used to end the session process.

*firmware_update.json : contains JSON request that will update the firmware version of the scanner. Request can be added to the .bat file if needed.

** Use the 02_enable_disable_tcp_comm request to activate the TCP communication before running the TCP communication .bat file. 

* To test requests for Evolis Premium Suite 2 run :
    - Scan_one_side_PIPE_ESPF2.bat
        or 
    - Scan_one_side_TCP_ESPF2.bat

* Command is used only on printers that have the Scan function incorporated and enabled.

* Results folder is the folder that records the request results.

* EspfRequestTool.exe is a command line request tool to send requests to the Evolis Services provider API. We are using two different communication methods, for more details : read the GetStarted.pdf guide.