//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.

#ifndef PIPEREQUESTSENDER_H
#define PIPEREQUESTSENDER_H

#ifdef WIN32 
#include <windows.h> 
#endif


#include <stdio.h>

/* ---------------------------------------------------------------- */

int sendRequestPipe(char* input, char* ip, char* port, char* output, unsigned long maxAnswerSize);

#ifdef UNIX
int sendRequestPipeUnix(char* input, char* pipename, char* unused, char* output, unsigned long maxAnswerSize);
#endif /*UNIX*/

#ifdef WIN32
int sendRequestPipeWin(char* input, char* pipename, char* unused, char* output, unsigned long maxAnswerSize);
#endif /*WIN32*/

/* ---------------------------------------------------------------- */

#endif /* PIPEREQUESTSENDER_H */