//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.

#ifndef _VERSION_H_
#define _VERSION_H_

#include "version.ver"

#define VERSION_MAJOR 1
#define VERSION_MINOR 17
#define VERSION_MICRO 0

#define BUILD_PRODUCT "ESPFREQUESTTOOL_1.0"

#define _STR(x) #x
#define STR(x) _STR(x)
#define VERSION_NUMBER VERSION_MAJOR,VERSION_MINOR,VERSION_MICRO,VERSION_BUILD
#define VERSION_STRING STR(VERSION_MAJOR) "." STR(VERSION_MINOR) "." STR(VERSION_MICRO) "." STR(VERSION_BUILD)

#define IDENT_STRING "$Id: "  BUILD_PRODUCT " " VERSION_STRING " " BUILD_DATE " " BUILD_TIME " " BUILD_AUTHOR " $"
#define REV_STRING   "Revision: "  VERSION_STRING "\n"

#endif  /* _VERSION_H_ */
