﻿'  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
'  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
'  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.

Imports System.Net.Sockets
Imports System.Text
Imports System.Threading

Module MinimalClient

    Sub Main()

        Try

            Dim ip As String = "11.1.24.210"
            Dim port As Integer = 18000
            Dim received As Integer = 0
            Dim data As Byte() = New Byte(1023) {}
            Dim recv As Integer = 0
            Dim hasAnswers As Boolean = False
            Dim answer As String = String.Empty

            Dim client As New TcpClient(ip, port)

            Dim ns As NetworkStream = client.GetStream()

            Dim request As Byte() = Encoding.UTF8.GetBytes("{""jsonrpc"":""2.0"",""id"":""1"",""method"":""CMD.SendCommand"",""params"":{""command"":""Rfv"", ""device"":""Evolis Primacy"", ""timeout"":""5000""}}")

            ns.Write(request, 0, request.Length)

            ns.Flush()

            While (ns.DataAvailable) OrElse (Not hasAnswers)
                recv = ns.Read(data, 0, data.Length)
                received += recv
                answer += Encoding.UTF8.GetString(data, 0, recv)
                hasAnswers = True
                Thread.Sleep(10)
            End While

            Console.WriteLine(answer)

            ns.Close()

            client.Close()

            Console.WriteLine("Press a key to continue ...")
            Console.ReadKey()

        Catch generatedExceptionName As Exception

            Console.WriteLine("Communication failed :" & vbLf)
            Console.WriteLine(" - check TCP communication is activated" & vbLf)
            Console.WriteLine(" - check the service is activated" & vbLf)
            Console.WriteLine(" - check your IP address and port" & vbLf)

        End Try

    End Sub
	
End Module