#include "demo.h"
#include "EvoSdk1Lib1.h"

#include <cstdio>

void demoPrinterInfos(Data* d)
{
    HANDLE comHandle;
    HANDLE printerHandle;
    char*  reply;
    DWORD  ec;

    if (demoOpen(d->serverPipe, d->printerName, &comHandle, &printerHandle)) {
        printf("=== PRINTER INFOS ===\n");

        ec = EPSDK_Infos_GetPrinterInfos(printerHandle, EPSDK_PI_Fw, &reply);
        printf(" >> INFO_PRINTER_FW:             %s\n", reply);

        ec = EPSDK_Infos_GetPrinterInfos(printerHandle, EPSDK_PI_Name, &reply);
        printf(" >> INFO_PRINTER_NAME:           %s\n", reply);

        ec = EPSDK_Infos_GetPrinterInfos(printerHandle, EPSDK_PI_Zone, &reply);
        printf(" >> INFO_PRINTER_ZONE:           %s\n", reply);

        ec = EPSDK_Infos_GetPrinterInfos(printerHandle, EPSDK_PI_Model, &reply);
        printf(" >> INFO_PRINTER_MODEL:          %s\n", reply);

        ec = EPSDK_Infos_GetPrinterInfos(printerHandle, EPSDK_PI_Duplex, &reply);
        printf(" >> INFO_PRINTER_DUPLEX:         %s\n", reply);

        demoClose(comHandle, printerHandle);
    }
}
