#include "demo.h"
#include "EvoSdk1Lib1.h"

#include <cstdio>

void demoRibbonInfos(Data* d)
{
    HANDLE settingsHandle;
    HANDLE printerHandle;
    char*  reply;
    DWORD  ec;

    if (demoOpen(d->serverPipe, d->printerName, &settingsHandle, &printerHandle)) {
        printf("=== RIBBON INFOS ===\n");

        ec = EPSDK_Infos_GetRibbonInfos(printerHandle, EPSDK_RI_Type, &reply);
        printf(" >> INFO_RIBBON_TYPE:                   %s\n", reply);

        ec = EPSDK_Infos_GetRibbonInfos(printerHandle, EPSDK_RI_Zone, &reply);
        printf(" >> INFO_RIBBON_ZONE:                   %s\n", reply);

        ec = EPSDK_Infos_GetRibbonInfos(printerHandle, EPSDK_RI_RemainingCapacity, &reply);
        printf(" >> INFO_RIBBON_REMAINING_CAPACITY:     %s\n", reply);

        ec = EPSDK_Infos_GetRibbonInfos(printerHandle, EPSDK_RI_TotalCapacity, &reply);
        printf(" >> INFO_RIBBON_TOTAL_CAPACITY:         %s\n", reply);

        demoClose(settingsHandle, printerHandle);
    }
}
