/*
    This file is part of the Evolis SDK.

    The Evolis SDK is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The Evolis SDK is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with the Evolis SDK.  If not, see <http://www.gnu.org/licenses/>.
*/

// HowToDbDlg.h : header file
//

#pragma once
#include "afxwin.h"

#define PRN_HEADER	 "\x1bPr;ymcko\x0d\x1bSs\x0d" 
#define PRN_HEADERSZ 14
#define PRN_TAIL	 "\x1bSe\x0d" 
#define PRN_TAILSZ	 4
#define BUFFER_SIZE  1024

// CHowToDbDlg dialog
class CHowToDbDlg : public CDialog
{
// Construction
public:
	CHowToDbDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_HOWTODB_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	bool InitPrinterList();
	
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	
public:
	CString m_strStep1;
	CString m_strStep2;
	CString m_strStep3;
	CString m_strStep4;
	CString	m_strBitmap;
	CString m_strPrnFile;
	CString m_PrinterName;
	CComboBox m_PrinterList;
	
	void CHowToDbDlg::PrintToFile(); 
	
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
};
