public class IomemJNI
{
  public IomemJNI()
  {
  }
  
  static 
  {
    System.loadLibrary("iomemjava");
  }
  
  public static native int OpenPebble(String printerName);
  private static native boolean ClosePebble(int hPrn); 
  private static native boolean WritePebble(int hPrn,String escCde, int szCde); 
  private static native int GetTimeout();
  private static native boolean SetTimeout(int time);
  private static native boolean ReadPebble(int hPrn,String sAnswer, int expectedSize, int [] returnedSize);
 
  public static void main( String[] args )
  {
    try 
    {
      IomemJNI t = new IomemJNI();
      
      int cardPrinterId = 0;
      int []    lg = {0};
      boolean   bStatus = false;

      String command;
      String answer   =  "0";
     
      
	  // Please replace "Evolis Tattoo" by a suitable printer name
      cardPrinterId = IomemJNI.OpenPebble("Evolis Tattoo");
           
      if(cardPrinterId != 0)
      {
        command = "\033Mc;+;1000\015";

        bStatus = t.WritePebble(cardPrinterId,command, command.length()); 
        if(bStatus)
        {
          bStatus = false;
          bStatus = t.ReadPebble(cardPrinterId,answer, 512,lg);
		


        }
        t.ClosePebble(cardPrinterId);
      }
      
    }
    catch (Exception e) 
    {
      System.out.println("error : " + e.getMessage()); 
    }
  }

}
